<?php

require 'header.php';

if ( RESTRICTQUEUES && (substr($_SERVER['REMOTE_ADDR'], 0, strlen(LOCALNETWORK)) != LOCALNETWORK) ) {
   exit();
}

if ( !isset($_REQUEST['songid']) ) exit();
$songid = intval($_REQUEST['songid']);

$query = "DELETE FROM " . QUEUECONTENTSTABLE . " WHERE songid=:songid AND qid=:qid";
$fields = array();
$fields[':songid'] = $songid;
$fields[':qid'] = $_SESSION['queuetarget'];
$sth = $globaldbh->prepare($query);
//echo "<pre>";
//echo "Q: $query\n";
//var_dump($fields);
$sth->execute($fields);

exit();
?>
